using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 岗位当班工作人员表
    /// </summary>
    [Description("岗位当班工作人员表")]
    public class T_FO_CURRENT_CLASS_RECORD_USER : MesEntityBase
    {
        /// <summary>
        /// 岗位当班工作记录ID
        /// </summary>
        [Description("岗位当班工作记录ID")]
        [DataFieldForeignKey("Nav_CurrentClassRecord", "Nav_Users")]
        public Guid CURRENT_CLASS_RECORD_ID { get; set; }

        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员ID")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }


        /// <summary>
        /// 当班状态（待处理、已同意）
        /// </summary>
        [Description("当班状态")]
        [EnumName("FOUserShiftStatusEnum")]
        [FormFieldEdit]
        public int USER_SHIFT_STATUS { get; set; }


        /// <summary>
        /// 导航属性：人员
        /// </summary>
        [Description("导航属性：人员")]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 导航属性：交接班记录
        /// </summary>
        [Description("导航属性：交接班记录")]
        public T_FO_CURRENT_CLASS_RECORD Nav_CurrentClassRecord { get; set; }
    }
}
